Get Mcp Server
Return a single MCP server row or 404.
GET
Get Mcp Server
Path Parameters
Response
Successful Response
GET response and the data payload of POST/PATCH/DELETE responses.
Last modified on May 22, 2026
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Return a single MCP server row or 404.
curl --request GET \
--url https://api.example.com/admin/api/v1/mcp-servers/{mcp_id}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"enabled": true,
"mcpServer": {
"name": "<string>",
"transport": "streamable_http",
"url": "<string>",
"command": "<string>",
"args": [
"<string>"
],
"headers": {},
"env": {},
"cwd": "<string>",
"encoding": "<string>",
"timeoutSeconds": 123,
"sseReadTimeoutSeconds": 123,
"terminateOnClose": true,
"sessionKwargs": {}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Successful Response
GET response and the data payload of POST/PATCH/DELETE responses.
Was this page helpful?
curl --request GET \
--url https://api.example.com/admin/api/v1/mcp-servers/{mcp_id}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"enabled": true,
"mcpServer": {
"name": "<string>",
"transport": "streamable_http",
"url": "<string>",
"command": "<string>",
"args": [
"<string>"
],
"headers": {},
"env": {},
"cwd": "<string>",
"encoding": "<string>",
"timeoutSeconds": 123,
"sseReadTimeoutSeconds": 123,
"terminateOnClose": true,
"sessionKwargs": {}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}